Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Class BitmapRendererConfig.BitmapRendererConfigParser

    java.lang.Object
      org.apache.fop.render.bitmap.BitmapRendererConfig.BitmapRendererConfigParser

All Implemented Interfaces:
  RendererConfig.RendererConfigParser

Direct Known Subclasses:
  TIFFRendererConfig.TIFFRendererConfigParser

Enclosing class:
  BitmapRendererConfig

    public static class BitmapRendererConfig.BitmapRendererConfigParser

extends java.lang.Object
implements RendererConfig.RendererConfigParser

The parser for the Bitmap renderer configuration data.

Constructor Summary
`BitmapRendererConfig.BitmapRendererConfigParser(java.lang.String mimeType)`

Method Summary
`BitmapRendererConfig` | `build(FOUserAgent userAgent, org.apache.avalon.framework.configuration.Configuration cfg)` Builds the object that contains the renderer configuration data.
`java.lang.String` | `getMimeType()` The MIME type of the renderer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitmapRendererConfig.BitmapRendererConfigParser

    public BitmapRendererConfig.BitmapRendererConfigParser(java.lang.String mimeType)

Method Detail

### build

    public BitmapRendererConfig build(FOUserAgent userAgent,
                                      org.apache.avalon.framework.configuration.Configuration cfg)
                               throws FOPException

  Description copied from interface: `RendererConfig.RendererConfigParser`
  Builds the object that contains the renderer configuration data.

  Specified by:
    `build` in interface `RendererConfig.RendererConfigParser`
  Parameters:
    `userAgent` - the user agent
    `cfg` - the Avalon config object for parsing the data
  Returns:
    the configuration data object
  Throws:
    `FOPException` - if an error occurs while parsing the fop conf

### getMimeType

    public java.lang.String getMimeType()

  Description copied from interface: `RendererConfig.RendererConfigParser`
  The MIME type of the renderer.

  Specified by:
    `getMimeType` in interface `RendererConfig.RendererConfigParser`
  Returns:
    the mime type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.